These forums have been archived and are now read-only.

The new forums are live and can be found at https://forums.eveonline.com/

EVE Technology Lab

 
  • Topic is locked indefinitely.
 

phpBB 3.x API Registration Mod v6+

Author
Klorrak
Entropy of Annihilation
#1301 - 2016-05-22 14:28:06 UTC
I'm having a problem where

https://community.eveonline.com/support/api-key/CreatePredefined?accessMask={EVEAPI_ACCESSMASK}

link works but it leaves the {EVEAPI_ACCESSMASK} empty

ie
https://community.eveonline.com/support/api-key/CreatePredefined?accessMask=

any ideas?

the form is setup and submitted in admin
FlexiusVII
kekScale
Scourge.
#1302 - 2016-05-22 17:02:31 UTC
Can't remember if I fixed it manually, but for me its {L_EVEAPI_ACCESSMASK} and everything works just fine.

Anonymous language isn't standard English.

Practice makes perfect.

Klorrak
Entropy of Annihilation
#1303 - 2016-05-22 17:04:35 UTC  |  Edited by: Klorrak
yep that fixed it for me. Now im stuck on how to make it not redirect to a dead page once registration is done!!! ARG

think L_RESET is broke
Hilianna
Exploration Frontier inc
Tactical-Retreat
#1304 - 2016-05-25 04:15:42 UTC
Hello Guys,

It Seems EveFit Button don't work with Recents ships like Jackdaw or Svipul , am i right ?

Is there a way to fix it ?
FlexiusVII
kekScale
Scourge.
#1305 - 2016-05-28 21:48:13 UTC  |  Edited by: FlexiusVII
Why not? http://i.imgur.com/PCvGD4g.jpg (It is actually a dominix fit, I simply changed the "shiptype" to svipul Twisted)

Btw, most recent ships would be Force Auxilliaries. Svipul is quite "old" atm.

Practice makes perfect.

FlexiusVII
kekScale
Scourge.
#1306 - 2016-06-21 14:28:43 UTC
Mod does not handle error 203 very well. User is able to change his api on website without updating it on the forum, thus generating that error every time API is checked. The problem is that nothing is being done with such account, e.g. it simply logs the error without kicking and stuff.

Edited corresponding 'if' statement in "eveapi_checkDisableOnApiError" function.

Practice makes perfect.

Kangarax Saken
Colloidal Ataraxy
#1307 - 2016-06-26 16:20:12 UTC
o/ all.

Installing EVE API for my corp.

Forum: phpBB
Version: 3.0.14
EVE API MOD by Cyerus version: version 6.3.1
PHEAL -> version 0.1.15
TS Module: not used , n/a

Status:

EVE API MOD: OK

however, when I run, for example:

http://www.corvus-oculi.com/forum/eveapi_cron.php

Error shown:

Standings Character -> [Char Name]
EVE API Connection error: 60 -> server certificate verification failed. CAfile: /hermes/bosnaweb15a/b135/ipg.[website name] /forum/includes/eveapi/Certificates/GeoTrustGlobalCA.crt CRLfile: none


What I have tried:

Downloaded cacert.pem and put it in: /forum/store/mods/EVE_API_6.3.for_phpBB_3.0.12/root/includes/eveapi/Certificates

Modified Pheal.php, line 334, to:
curl_setopt(self::$curl, CURLOPT_CAINFO, $temp_path . '../Certificates/cacert.pem');


Added: curl_setopt(self::$curl, CURLOPT_CAINFO, $temp_path . './Certificates/cacert.pem');
to functions_eveapi


Not helping, same error above.

Error is also showing a completely f**ed up path, not sure how that's relevant. Been trying to dig out the path variable definition, but no luck.
FlexiusVII
kekScale
Scourge.
#1308 - 2016-06-26 21:18:19 UTC  |  Edited by: FlexiusVII
You did not mention reinstalling the actual mod. Putting modified certificate file into MOD directory doesn't change anything by itself.

Also, I can remember a geotrust-fix file, which did not require editing config files.

Practice makes perfect.

Kangarax Saken
Colloidal Ataraxy
#1309 - 2016-06-29 13:05:44 UTC
FlexiusVII wrote:
You did not mention reinstalling the actual mod. Putting modified certificate file into MOD directory doesn't change anything by itself.

Also, I can remember a geotrust-fix file, which did not require editing config files.


Tried reinstalling the mod multiple times...on both phpbb 3.0 and 3.1

Not much changed.
William Blackwater
Deutsche Kapselpilotenschule
#1310 - 2016-09-15 19:10:57 UTC
May I ask a old question again which I can't solve:

Hardfacts.
clean phpbb 3.0.14
automod 1.0.2
UMIL 1.0.5
EVE API MOD Revisited 7.0.7

Now I can set-up everything but when new user want to register this error shows up (as on the old versions)
General Error
SQL ERROR [ mysqli ]

Unknown column 'eveapi_keyid' in 'field list' [1054]


Now I tried to run the /tools/sql/ files on my forum mysql database without any change.

did i missed something?
Morgan Johnstone
Doomheim
#1311 - 2016-09-16 06:02:04 UTC
1. Where can I find AutoMOD support?
Issue: I upload the /Automod/root/* to my forums root and then try to navigate to url/install/ and nothing is available.

2. Is anyone offering a installation/setup service for this?

Morgan Johnstone

Disabled Players Union

Annexe
I N E X T R E M I S
Tactical Narcotics Team
#1312 - 2016-10-28 07:58:30 UTC
Staysin Jita wrote:
Cook The Greek wrote:
When i try to register i get the error
SSL certificate problem: unable to get local issuer certificate
On page 23 Cyerus posted a solution with an update Quick_fix_EVE_API_SSL_for_6.0.x.zip
Unfortunally the link is down. Can someone reupload it, or give me another solution?



Go to:
/includes/eveapi/Pheal/PhealConfig.php

edit this file and change line 79 from:

public $http_method = "curl";


to:

public $http_method = "file";



I was having this same problem, so I changed the file from 'curl' to 'file'... when clicking Submit, I then get

"General Error
SQL ERROR [ mysqli ]

Unknown column 'group_eveapi_special' in 'field list' [1054]

An SQL error occurred while fetching this page. Please contact the Board Administrator if this problem persists."

However, when I go back and try to redo the registration, it says the username and email is in use, so it is actually registering.
The username shows in the Admin details, so I assume its some kind of redirect issue?

Annexe

ITAI - VIP

"i will pop your wreck with faction loot"

Shepherd Cage
Sentinels of Lunacy
Wormageddon
#1313 - 2016-11-15 02:24:55 UTC  |  Edited by: Shepherd Cage
Hi, will there be any updates to this for phpBB 3.1.x by chance?
Or even for phpBB 3.0.14?

Also with the new releases as of end of September through today, has anyone decided to add the changes and or maybe guide me to add them?

If not for this MOD, is there a different one for a different type of forum board that could be used that anyone knows of?

Thanks
FlexiusVII
kekScale
Scourge.
#1314 - 2016-11-16 08:18:58 UTC  |  Edited by: FlexiusVII
On the GitHub repository mentioned earlier you can find php scripts for updating the database, located in /tools/ directory. Fresh data can be found in the newest SDE. Since IGB became obsolete, I didn't bother with updating systems, only items and ships.

Basic fitting functionality is ok, but I do not guarantee anything ;P
https://onedrive.live.com/redir.aspx?cid=4a4406e850859b12&resid=4A4406E850859B12!15679&parId=4A4406E850859B12!5551&authkey=!AIXN3G0iEApW7J4&ithint=file%2czip

Note that icons for newest modules are currently missing from CCP's image server.

Practice makes perfect.

Valentine King
mors piscium
#1315 - 2016-11-16 18:39:09 UTC
Just purely out of interest, with the expected 18 month-or-so life span left on XML API (finally to be replaced by the new ESI API system), will we see a means of adding EvE functionality to current and future versions of phpbb forums? Is there a better replacement forum system already out there?

Unfortunately, I am not a programmer and don't fully understand the ESI system (yet....), but I have been running and maintaining Phpbb 3.0.14 forums with Cyerus's Mod for quite some time and with the prospect of ESI looming up, wondered what future there is out there for privately owned and hosted Corporation/Alliance forums.

I appreciate this is an old topic as far as the EvE API Mod goes, but just pondering over potential future solutions.